QGIS Application - Bug report #6848
db manager error when clicking "export file"
2012-12-09 02:33 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15984
Description

Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line
171, in exportActionSlot
dig = DIgExportVector(inLayer, table.database(), self)
File "/usr/share/qgis/python/plugins/db_manager/dig_export_vector.py",
line 42, in init
self.setupWorkingMode()
File "/usr/share/qgis/python/plugins/db_manager/dlg_export_vector.py",
line 53, in setupWorkingMode
self.checkSupports()
File "/usr/share/qgis/python/plugins/db_manager/dlg_export_vector.py",
line 61, in checkSupports
self.chkSpatiallndex.setEnabled(allowSpatial and hasGeomType)
AttributeError: 'DIgExportVector' object has no attribute 'chkSpatiallndex’

Associated revisions

Revision b6c999e7 - 2012-12-10 01:32 AM - Giuseppe Sucameli

fix #6848

History

#1 - 2012-12-09 04:32 PM - Giuseppe Sucameli
- Status changed from Open to Closed

Fixed in changeset commit:"b6c999e776a6b34{6338e3a679509d963193da82".
